package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

 
public class NotaDinasVO extends BaseTransactionVO{
	
	
	@Caption(value="noSurat")
	private String noSurat;
	
	@Caption(value="judul")
	private String hal;
	
	@Caption(value="Jabatan")
	private JabatanVO jabatan;
	
	private Integer jabatanId;
	
	@Caption(value="isiSurat")
	private String isiSurat;
	
	private Set<NotaDinasJabatanVO> notaDinasJabatan=new HashSet<NotaDinasJabatanVO>();
	
	@Caption(value="Tanggal")
	private Date tanggal;
	
	 
	 
	@Caption(value = "Object Pegawai Pembuat")
	private PegawaiVO pegawaiPembuat;
	
	 private Integer pegawaiPembuatId;
	
	 	@Caption(value = "Object Jenis Surat")
	private JenisSuratVO jenisSurat;
	
	 private String jenisSuratString;	
	private Integer jenisSuratId;
	public String getNoSurat() {
		return noSurat;
	}

	public void setNoSurat(String noSurat) {
		this.noSurat = noSurat;
	}

	public String getHal() {
		return hal;
	}

	public void setHal(String hal) {
		this.hal = hal;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public String getIsiSurat() {
		return isiSurat;
	}

	public void setIsiSurat(String isiSurat) {
		this.isiSurat = isiSurat;
	}

	public Set<NotaDinasJabatanVO> getNotaDinasJabatan() {
		return notaDinasJabatan;
	}

	public void setNotaDinasJabatan(Set<NotaDinasJabatanVO> notaDinasJabatan) {
		this.notaDinasJabatan = notaDinasJabatan;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public PegawaiVO getPegawaiPembuat() {
		return pegawaiPembuat;
	}

	public void setPegawaiPembuat(PegawaiVO pegawaiPembuat) {
		this.pegawaiPembuat = pegawaiPembuat;
	}

	public Integer getPegawaiPembuatId() {
		return pegawaiPembuatId;
	}

	public void setPegawaiPembuatId(Integer pegawaiPembuatId) {
		this.pegawaiPembuatId = pegawaiPembuatId;
	}

	public JenisSuratVO getJenisSurat() {
		return jenisSurat;
	}

	public void setJenisSurat(JenisSuratVO jenisSurat) {
		this.jenisSurat = jenisSurat;
	}

	public Integer getJenisSuratId() {
		return jenisSuratId;
	}

	public void setJenisSuratId(Integer jenisSuratId) {
		this.jenisSuratId = jenisSuratId;
	}

	public String getJenisSuratString() {
		return jenisSuratString;
	}

	public void setJenisSuratString(String jenisSuratString) {
		this.jenisSuratString = jenisSuratString;
	}

 
	

}
